Bug 50096 - Bugzilla Twitter integration
Summary: Bugzilla Twitter integration
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: WWW (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: Other All
: medium normal
Assignee: Zeki Bildirici
QA Contact:
URL:
Whiteboard:
Keywords: difficultyBeginner, easyHack, topicQA
Depends on:
Blocks:
 
Reported: 2012-05-18 07:13 UTC by Björn Michaelsen
Modified: 2015-12-16 05:14 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Björn Michaelsen 2012-05-18 07:13:22 UTC
It would be nice to have Bugzilla integrated with Twitter so that it would tweet whenever a LibreOffice bug has been set to FIXED by a developer.
The tweet should look roughly like:
"Bug [buglink] was fixed in #LibreOffice. Please verify it in a daily build [wikilink]".
Wikilink should give a short text on how to verify bugs.
Comment 1 Markus Mohrhard 2012-05-18 07:31:43 UTC
We have already a git bugzilla integration at one of our servers running. We are using WWW::Bugzilla in perl.

See http://search.cpan.org/~bmc/WWW-Bugzilla-1.5/ 

It should support everything that we need and has an easy syntax.
Comment 2 Petr Mladek 2012-05-18 07:45:08 UTC
Another possibility is to use the script http://cgit.freedesktop.org/libreoffice/core/tree/bin/lo-commit-stat. It is able to print list of fixed bugs using a git query. We can update it to produce the right output for twitter and call it every day or week.
Comment 3 Björn Michaelsen 2012-09-01 23:24:29 UTC
closing as wontfix for now as we will stay with fdo bugzilla in the forseeable future.
Comment 4 Björn Michaelsen 2013-05-17 19:30:41 UTC
Fixed by Zeki with:
https://twitter.com/LibreOfficeBugs
Comment 5 Zeki Bildirici 2013-05-18 20:27:49 UTC
(In reply to comment #4)
> Fixed by Zeki with:
> https://twitter.com/LibreOfficeBugs
Hi Björn

Current feed only shows new bugs. I can add Fixed bugs or others by having the feed.

FDO's bugzilla's feed not giving a w3 standart feed, for example you can see correct order by Firefox RSS but external tools and Aggregator see's a wrong alphabetical order. For instace you should see a bug no 64707 but it gives you bug no 35345. 

You need to add the following parameter to feed manually:


&order=bug_id%20DESC&

The working feed for the resolved->Fixed is:

https://bugs.freedesktop.org/buglist.cgi?bug_status=RESOLVED&limit=15&product=LibreOffice&order=bug_id%20DESC&query_format=advanced&resolution=FIXED&title=Bug%20List&ctype=atom 

I can change the variations(closed-fixed,pleasetest-fixed... etc) from advance search. And at the footer there is FEED link which creates feeds.

I may add prefix and suffixes to have

"Fixed:[buglink] [Bug description] #LibreOffice. Please verify it in a daily build [wikilink]"
Comment 6 Robinson Tryon (qubit) 2015-12-16 05:14:21 UTC
Migrating Whiteboard tags to Keywords: (EasyHack DifficultyBeginner TopicQA)
[NinjaEdit]